Name:           avalon-framework
Epoch:          0
Version:        4.3
Release:        25
Summary:        Java components interfaces
License:        ASL 2.0
URL:            http://avalon.apache.org/
Source0:        http://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-api-%{version}-src.tar.gz
Source1:        http://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-impl-%{version}-src.tar.gz
BuildRequires:  maven-local mvn(avalon-logkit:avalon-logkit) mvn(log4j:log4j)
BuildRequires:  mvn(commons-logging:commons-logging) mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch
Patch0001:      0001-Port-build-script-to-Maven-3.patch

%description
Apache Avalon provided Java software for component and container
programming and pioneered the use of design patterns such as Inversion of
Control (IoC) and Separation of Concerns (SoC).

%package help
Summary:      API documentation %{name}
Provides:     avalon-framework-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:    avalon-framework-javadoc < %{epoch}:%{version}-%{release}

%description help
This package provides help documentation for avalon-framework

%prep
%autosetup -c -a 0 -a 1 -p1

%mvn_package :aggregator __noinstall
%mvn_file ":*api*" %{name}-api
%mvn_file ":*impl*" %{name}-impl %{name}

%pom_xpath_inject pom:project "<packaging>bundle</packaging>" *api*/project.xml
%pom_xpath_inject pom:build "
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-SymbolicName>avalon-framework-api-4.3</Bundle-SymbolicName>
          <_nouses>true</_nouses>
        </instructions>
      </configuration>
    </plugin>
  </plugins>" *api*/project.xml
%pom_xpath_inject pom:project "<packaging>bundle</packaging>" *impl*/project.xml
%pom_xpath_inject pom:build "
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-SymbolicName>avalon-framework-impl-4.3</Bundle-SymbolicName>
          <_nouses>true</_nouses>
        </instructions>
      </configuration>
    </plugin>
  </plugins>" *impl*/project.xml

%mvn_alias 'avalon-framework:{*}' 'org.apache.avalon.framework:@1'

%build
%mvn_build -f

%install
%mvn_install
mv .mfiles-javadoc .mfiles-help

%files -f .mfiles
%license avalon-framework-api-4.3/LICENSE.txt
%license avalon-framework-api-4.3/NOTICE.txt

%files help -f .mfiles-help

%changelog
* Mon Aug 22 2022 wangkai <wangkai385@h-partners.com> - 0:4.3-25
- Rebuild for log4j 2.17.2 fix CVE-2021-44832

* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> - 0:4.3-24
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Thu Dec 16 2021 wangkai <wangkai385@huawei.com> - 0:4.3-23
- This package depends on log4j.After the log4j vulnerability CVE-2021-44228 is fixed,the version needs to be rebuild.

* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 0:4.3-22
- Package init.
